package com.duben.microtribe.utils

import android.os.Build

object VersionUtils {

    /**
     * 判断是否是Android L版本
     *
     * @return
     */
    fun isAndroidL(): Boolean {
        return Build.VERSION.SDK_INT >= Build.VERSION_CODES.LOLLIPOP
    }

    /**
     * 判断是否是Android N版本
     *
     * @return
     */
    fun isAndroidN(): Boolean {
        return Build.VERSION.SDK_INT >= Build.VERSION_CODES.N
    }

    /**
     * 判断是否是AndroidO版本
     *
     * @return
     */
    fun isAndroidO(): Boolean {
        return Build.VERSION.SDK_INT >= Build.VERSION_CODES.O
    }

    /**
     * 判断是否是Android P版本
     *
     * @return
     */
    fun isAndroidP(): Boolean {
        return Build.VERSION.SDK_INT >= Build.VERSION_CODES.P
    }

    /**
     * 判断是否是Android Q版本
     *
     * @return
     */
    fun isAndroidQ(): Boolean {
        return Build.VERSION.SDK_INT >= Build.VERSION_CODES.Q
    }
}